In some cases, one might be developing for iOS6 and therefore require the iOS6.1 SDK. Xcode 5 however, no longer has the iOS6.1 SDK installed. In this article I’ll show you how to install the iOS6.1 SDK in your current version of Xcode.

Download Xcode 4.6.3 to get the iOS6.1 SDK and Simulator

  • Make sure Xcode is closed. If you are using Appcelerator Titanium, make sure that’s closed as well.
  • Go to Apple’s Developer Center
  • Log into iOS Dev Center (You will need an Apple Developer License for this)
  • Under Downloads, where it currently shows Xcode 5, Click on “Go to older versions of XCode
  • Let’s say you want the latest iOS6 SDK, that would be XCode 4.6.3. Search for it in the list and download the full Xcode package (about 1.6GB)

xcode463

Install the iOS6.1 SDK and Simulator

  • Once downloaded, double click on the “xxx.dmg” file.
  • Right click on Xcode.app and select “Show Package Contents
  • Navigate to “Contents\Developer\Platforms“.

– When in the Platforms folder, to copy over the iOS 6.1 SDK:

  • In “iPhoneOS.platform\Developer\SDKs”, copy the folder “iPhoneOS6.1.sdk”.
  • In your Finder Window, go to “Applications”.
  • Right click on Xcode.app and select “Show Package Contents”
  • Navigate to “Contents\Developer\Platforms\iPhoneOS.platform\Developer\SDKs”.
  • Paste the “iPhoneOS6.1.sdk” folder.

– When in the Platforms folder, to copy over the iOS 6.1 Simulator:

  • In “iPhoneSimulator.platform\Developer\SDKs”, copy the folder “iPhoneSimulator6.1.sdk”.
  • In your Finder Window, go to “Applications”.
  • Right click on Xcode.app and select “Show Package Contents”
  • Navigate to “Contents\Developer\Platforms\iPhoneSimulator.platform\Developer\SDKs”.
  • Paste the “iPhoneSimulator6.1.sdk” folder.

 Conclusion

That’s it. You can now use iOS6.1 SDK and Simulator as well as whatever current SDK and simulator you had installed.

Till next time, enjoy 🙂
John